petsc-3.4.2 2013-07-02

# MatMFFDAddNullSpace

Provides a null space that an operator is supposed to have. Since roundoff will create a small component in the null space, if you know the null space you may have it automatically removed.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDAddNullSpace(Mat J,MatNullSpace nullsp)

Logically Collective on Mat

### Input Parameters

| J | - the matrix-free matrix context
| nullsp | - object created with MatNullSpaceCreate()

### Keywords

SNES, matrix-free, null space

### See Also

MatNullSpaceCreate(), MatMFFDGetH(), MatCreateSNESMF(), MatCreateMFFD(), MATMFFD
MatMFFDSetHHistory(), MatMFFDResetHHistory()

Level:advanced
Location:src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages